Subject: Re: /sys/devices/system/cpu/cpuX/online are missing

From: Andreas Schwab <[email-masked]>
Date: Tue, 13 Mar 2007 01:39:25 +0100

Giuliano Pochini <[email-masked]> writes:

> I had a look at arch/powerpc/kernel/smp.c but I'm not familiar at all with 
> those parts of the kernel.

See arch/powerpc/kernel/sysfs.c:topology_init.  I don't think there is
anything to do here.  You probably don't have CONFIG_HOTPLUG_CPU enabled.

Andreas.

-- 
Andreas Schwab, SuSE Labs, [email-masked]
SuSE Linux Products GmbH, Maxfeldstraße 5, 90409 Nürnberg, Germany
PGP key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."